> ## Documentation Index
> Fetch the complete documentation index at: https://modem.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get company

> Get a single company by ID with basic details and connections



## OpenAPI

````yaml /api-reference/openapi.json get /companies/{companyId}
openapi: 3.1.1
info:
  description: >-
    The public Modem API. Authenticate with an organization API key:
    `Authorization: Bearer modem_…`.
  title: Modem API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.modem.dev/v1
security:
  - bearerAuth: []
paths:
  /companies/{companyId}:
    get:
      tags:
        - Companies
      summary: Get company
      description: Get a single company by ID with basic details and connections
      operationId: companies.get
      parameters:
        - in: path
          name: companyId
          required: true
          schema:
            pattern: ^\d+$
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  connections:
                    properties:
                      email:
                        anyOf:
                          - type: string
                          - type: 'null'
                      github:
                        anyOf:
                          - type: string
                          - type: 'null'
                      linkedin:
                        anyOf:
                          - type: string
                          - type: 'null'
                      phone:
                        anyOf:
                          - type: string
                          - type: 'null'
                      twitter:
                        anyOf:
                          - type: string
                          - type: 'null'
                    required:
                      - email
                      - github
                      - linkedin
                      - phone
                      - twitter
                    type: object
                  createdAt:
                    format: date-time
                    type: string
                  id:
                    pattern: ^\d+$
                    type: string
                  isOrgCompany:
                    type: boolean
                  isVip:
                    type: boolean
                  logoUrl:
                    anyOf:
                      - format: uri
                        type: string
                      - type: 'null'
                    description: Company logo image URL.
                    title: Logo URL
                  name:
                    description: Company name.
                    title: Name
                    type: string
                  primaryDomain:
                    anyOf:
                      - type: string
                      - type: 'null'
                required:
                  - connections
                  - id
                  - isOrgCompany
                  - isVip
                  - logoUrl
                  - name
                  - primaryDomain
                type: object
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Invalid request (validation failed).
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Missing or invalid API key.
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: The API key does not have access to this resource.
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: The requested resource was not found.
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Rate limit exceeded.
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Internal server error.
components:
  schemas:
    Error:
      properties:
        code:
          description: Machine-readable error code, e.g. `NOT_FOUND`.
          examples:
            - NOT_FOUND
          type: string
        data:
          description: Optional structured error details.
        defined:
          description: True if the error was declared in the procedure contract.
          type: boolean
        message:
          description: Human-readable error message.
          type: string
        status:
          description: HTTP status code.
          examples:
            - 404
          type: integer
      required:
        - code
        - defined
        - message
        - status
      type: object
  securitySchemes:
    bearerAuth:
      description: Organization API key (`modem_…`).
      scheme: bearer
      type: http

````